#include "descriptor/descriptor.h"

int main(void) {
	ITEM enterprise;
	ITEM bianco, blu, giallo, rosso, grigio;
	ITEM scafo, antenna, calotte, fasce, anello;
	ITEM sfondo1, sfondo2;

	set_background(0,0,0.1,TRUE);
	set_ambient_light(1,1,1,0.7);

	create_point_light(5,2,0, 1,1,1, 4, 15, "light1");
	create_point_light(0,-5,5, 1,1,1, 4, 10, "light2");


	bianco = create_attribute("bianco");
	set_color(bianco,1,1,1,0.1,0.8);
	set_reflectivity(bianco,0.3,2);

	giallo = create_attribute("giallo");
	set_color(giallo,0.68,0.86,0.1,0.5,0.5);
	set_reflectivity(giallo,0.24,2);

	rosso = create_attribute("rosso");
	set_color(rosso,1,0,0.5,0.5,0.5);
	set_reflectivity(rosso,0,10);

	blu = create_attribute("blu");
	set_color(blu,0,0,1,0.5,0.5);
	set_reflectivity(blu,0.4,9);

	grigio = create_attribute("grgio");
	set_color(grigio,0.4,0.4,0.4,0.5,0.5);
	set_reflectivity(blu,0.4,9);


	scafo = read_obj("scafo.obj", "scafo");
	fasce = read_obj("fasce.obj", "fasce");
	calotte = read_obj("calotte.obj", "calotte");
	antenna = read_nurbs("antenna2.db");
	anello = read_nurbs("anello.db");


	sfondo1 = read_nurbs("lungo1.db");
	sfondo2 = read_nurbs("corto1.db");

	set_projection_texture(sfondo1,blu,"textures/sfondo.hr",1,1,0.6,0.8);
	set_translate(sfondo1,0,10,0);
	set_scale(sfondo1,5,1,5);
	set_x_rotate(sfondo1, -45, 1);

	set_projection_texture(sfondo2,blu,"textures/sfondo.hr",0,1,0.6,0.8);
	set_scale(sfondo2,1,5,5);
	set_translate(sfondo2,15,0,0);


	set_attribute(antenna, giallo);
	set_attribute(scafo, bianco);
	set_attribute(fasce, blu);
	set_attribute(calotte, rosso);
	set_attribute(anello, grigio);


	enterprise = create_list(scafo, "enterprise");
	enterprise = insert_in_list(enterprise, fasce);
	enterprise = insert_in_list(enterprise, calotte);
	enterprise = insert_in_list(enterprise, antenna);
	enterprise = insert_in_list(enterprise, anello);
	enterprise = insert_in_list(enterprise, sfondo1);
	enterprise = insert_in_list(enterprise, sfondo2);

	save_scene("enterprise.md", "Enterprise", enterprise);

	return(0);
}
